/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package javax.jbi.component;

import java.util.List;

import org.junit.Test;
import org.mockito.Mockito;
import org.w3c.dom.DocumentFragment;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public class InstallationContextTest {

    InstallationContext mockInstallationContext = Mockito.mock(InstallationContext.class);

    @SuppressWarnings("rawtypes")
    @Test
    public void testGetClassPathElements() {
        @SuppressWarnings("unused")
        List list = mockInstallationContext.getClassPathElements();
    }

    @Test
    public void testGetComponentClassName() {
        @SuppressWarnings("unused")
        String string = mockInstallationContext.getComponentClassName();
    }

    @Test
    public void testGetComponentName() {
        @SuppressWarnings("unused")
        String string = mockInstallationContext.getComponentName();
    }

    @Test
    public void testGetContext() {
        @SuppressWarnings("unused")
        ComponentContext componentContext = mockInstallationContext.getContext();
    }

    @Test
    public void testGetInstallationDescriptorExtension() {
        @SuppressWarnings("unused")
        DocumentFragment documentFragment = mockInstallationContext
                .getInstallationDescriptorExtension();
    }

    @Test
    public void testGetInstallRoot() {
        @SuppressWarnings("unused")
        String string = mockInstallationContext.getInstallRoot();
    }

    @Test
    public void testIsInstall() {
        @SuppressWarnings("unused")
        boolean b = mockInstallationContext.isInstall();
    }

    @Test
    public void testSetClassPathElements() {
        mockInstallationContext.setClassPathElements(Mockito.mock(List.class));
    }

}
