/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package javax.jbi.management;

import javax.management.ObjectName;

import org.junit.Test;
import org.mockito.Mockito;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public class InstallationServiceMBeanTest {

    InstallationServiceMBean mockInstallationServiceMBean = Mockito
            .mock(InstallationServiceMBean.class);

    @Test
    public void testInstallSharedLibrary() {
        @SuppressWarnings("unused")
        String string = mockInstallationServiceMBean.installSharedLibrary("");
    }

    @Test
    public void testLoadInstaller() {
        @SuppressWarnings("unused")
        ObjectName objectName = mockInstallationServiceMBean.loadInstaller("");
    }

    @Test
    public void testLoadNewInstaller() {
        @SuppressWarnings("unused")
        ObjectName objectName = mockInstallationServiceMBean.loadNewInstaller("");
    }

    @Test
    public void testUninstallSharedLibrary() {
        @SuppressWarnings("unused")
        boolean b = mockInstallationServiceMBean.uninstallSharedLibrary("");
    }

    @Test
    public void testUnloadInstaller() {
        @SuppressWarnings("unused")
        boolean b = mockInstallationServiceMBean.unloadInstaller("", true);
    }

}
